 #! /bin/sh
#------------------------------------------------------------------------------
# /tmp/install.sh - install script for openjdk-8-jdk
#
# Creation   :  2018-10-27 daniel
# Last Update:  $Id: install.sh 67284 2019-08-19 22:48:40Z schlotze $
#
# Copyright (c) 2018 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#------------------------------------------------------------------------------

#------------------------------------------------------------------------------
# include eisfair script library
#------------------------------------------------------------------------------
#. /var/install/include/eislib

#-----------------------------------------------------------------------------
# setup update alternatives
#-----------------------------------------------------------------------------
ver=8
update-alternatives --install /usr/bin/javac      jdk          /usr/jvm/openjdk-8/bin/javac           80 \
                    --slave /usr/bin/appletviewer appletviewer /usr/jvm/openjdk-8/bin/appletviewer    \
                    --slave /usr/bin/extcheck     extcheck     /usr/jvm/openjdk-8/bin/extcheck        \
                    --slave /usr/bin/idlj         idlj         /usr/jvm/openjdk-8/bin/idlj            \
                    --slave /usr/bin/jar          jar          /usr/jvm/openjdk-8/bin/jar             \
                    --slave /usr/bin/jarsigner    jarsigner    /usr/jvm/openjdk-8/bin/jarsigner       \
                    --slave /usr/bin/java-rmi.cgi java-rmi.cgi /usr/jvm/openjdk-8/bin/java-rmi.cgi    \
                    --slave /usr/bin/javadoc      javadoc      /usr/jvm/openjdk-8/bin/javadoc         \
                    --slave /usr/bin/javah        javah        /usr/jvm/openjdk-8/bin/javah           \
                    --slave /usr/bin/javap        javap        /usr/jvm/openjdk-8/bin/javap           \
                    --slave /usr/bin/jcmd         jcmd         /usr/jvm/openjdk-8/bin/jcmd            \
                    --slave /usr/bin/jconsole     jconsole     /usr/jvm/openjdk-8/bin/jconsole        \
                    --slave /usr/bin/jdb          jdb          /usr/jvm/openjdk-8/bin/jdb             \
                    --slave /usr/bin/jdeps        jdeps        /usr/jvm/openjdk-8/bin/jdeps           \
                    --slave /usr/bin/jhat         jhat         /usr/jvm/openjdk-8/bin/jhat            \
                    --slave /usr/bin/jinfo        jinfo        /usr/jvm/openjdk-8/bin/jinfo           \
                    --slave /usr/bin/jis          jis          /usr/jvm/openjdk-8/bin/jis             \
                    --slave /usr/bin/jmap         jmap         /usr/jvm/openjdk-8/bin/jmap            \
                    --slave /usr/bin/jps          jps          /usr/jvm/openjdk-8/bin/jps             \
                    --slave /usr/bin/jrunscript   jrunscript   /usr/jvm/openjdk-8/bin/jrunscript      \
                    --slave /usr/bin/jsadebugd    jsadebugd    /usr/jvm/openjdk-8/bin/jsadebugd       \
                    --slave /usr/bin/jshell       jshell       /usr/jvm/openjdk-8/bin/jshell          \
                    --slave /usr/bin/jstack       jstack       /usr/jvm/openjdk-8/bin/jstack          \
                    --slave /usr/bin/jstat        jstat        /usr/jvm/openjdk-8/bin/jstat           \
                    --slave /usr/bin/jstatd       jstatd       /usr/jvm/openjdk-8/bin/jstatd          \
                    --slave /usr/bin/native2ascii native2ascii /usr/jvm/openjdk-8/bin/native2ascii    \
                    --slave /usr/bin/rmic         rmic         /usr/jvm/openjdk-8/bin/rmic            \
                    --slave /usr/bin/schemagen    schemagen    /usr/jvm/openjdk-8/bin/schemagen       \
                    --slave /usr/bin/serialver    serialver    /usr/jvm/openjdk-8/bin/serialver       \
                    --slave /usr/bin/wsgen        wsgen        /usr/jvm/openjdk-8/bin/wsgen           \
                    --slave /usr/bin/wsimport     wsimport     /usr/jvm/openjdk-8/bin/wsimport        \
                    --slave /usr/bin/xjc          xjc          /usr/jvm/openjdk-8/bin/xjc

# activate the best version
/usr/sbin/update-alternatives --auto jdk

# check what is the best version
best=$(/usr/sbin/update-alternatives --query jdk | /usr/bin/awk '/Best/ {print $2}')

# if the best version not this version, use this version manual  
if ! echo "${best}" | /usr/bin/grep -q "${ver}"
then
    echo "jdk manual /usr/jvm/openjdk-8/bin/javac" | /usr/sbin/update-alternatives --set-selections  >/dev/null 2>&1
fi

exit 0
